[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrPas

Convert a null-terminated string to an ansistring.

## Declaration

Source position: syspchh.inc line 38

`function StrPas(`
`Str: PChar`
`):string;`

## Description

Converts a null terminated string in Str to an Ansitring, and returns this string. This string is NOT truncated at 255 characters as is the system unit's version.

## Errors

None.

## See also

StrPCopy |  | Copy an ansistring to a null-terminated string.
StrPLCopy |  | Copy a limited number of characters from an ansistring to a null-terminated string.

Documentation generated on: Feb 26 2014